function sum=F15X(x)
       %%Schwefel2_22  function
        m=length(x);
        sum1=0.0;
        for i=1:m
            sum1=sum1+abs(x(i)); 
        end
        prod1=1.0;
        for i=1:m
            prod1=prod1*abs(x(i)); 
        end
        sum=sum1+prod1;
endfunction